## Create a store `client.SecretsStore.Stores.New(ctx, params) (*SinglePage[StoreNewResponse], error)` **post** `/accounts/{account_id}/secrets_store/stores` Creates a store in the account ### Parameters - `params StoreNewParams` - `AccountID param.Field[string]` Path param: Account Identifier - `Body param.Field[[]StoreNewParamsBody]` Body param - `Name string` The name of the store ### Returns - `type StoreNewResponse struct{…}` - `ID string` Store Identifier - `Created Time` Whenthe secret was created. - `Modified Time` When the secret was modified. - `Name string` The name of the store ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/secrets_store" ) func main() { client := cloudflare.NewClient( option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"), option.WithAPIEmail("user@example.com"), ) page, err := client.SecretsStore.Stores.New(context.TODO(), secrets_store.StoreNewParams{ AccountID: cloudflare.F("985e105f4ecef8ad9ca31a8372d0c353"), Body: []secrets_store.StoreNewParamsBody{secrets_store.StoreNewParamsBody{ Name: cloudflare.F("service_x_keys"), }}, }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "id": "023e105f4ecef8ad9ca31a8372d0c353", "created": "2023-09-21T18:56:32.624632Z", "modified": "2023-09-21T18:56:32.624632Z", "name": "service_x_keys" } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000 } } ```